|  | Home · All Classes · All Functions · Overviews

# QSqlDriverCreator Class Reference
[QtSql module]

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type. More...

     #include <QSqlDriverCreator>

This class is not part of the Qt GUI Framework Edition.

Inherits QSqlDriverCreatorBase.

- List of all members, including inherited members

## Reimplemented Public Functions

virtual QSqlDriver * | createObject () const

- 1 public function inherited from QSqlDriverCreatorBase

## Detailed Description

The QSqlDriverCreator class is a template class that provides a SQL driver factory for a specific driver type.

QSqlDriverCreator<T> instantiates objects of type T, where T is a QSqlDriver subclass.

See QSqlDatabase::registerSqlDriver() for details.

## Member Function Documentation

### QSqlDriver * QSqlDriverCreator::createObject () const `[virtual]`

Reimplemented from QSqlDriverCreatorBase::createObject().